OpenVDB 13.0.0

Loading...
Searching...
No Matches
BuildMoveMapsOp< DeformerT, TreeT, FilterT > Struct Template Reference

`#include <openvdb/points/impl/PointMoveImpl.h>`

## Public Types
using | LeafT = typename TreeT::LeafNodeType
using | LeafArrayT = std::vector<LeafT*>
using | LeafManagerT = typename tree::LeafManager<TreeT>

## Public Member Functions
| BuildMoveMapsOp (const DeformerT &deformer, GlobalPointIndexMap &globalMoveLeafMap, LocalPointIndexMap &localMoveLeafMap, const LeafMap &targetLeafMap, const math::Transform &targetTransform, const math::Transform &sourceTransform, const FilterT &filter)
void | operator() (LeafT &leaf, size_t idx) const

## Member Typedef Documentation

## ◆ LeafArrayT

template<typename DeformerT, typename TreeT, typename FilterT>

using LeafArrayT = std::vector<LeafT*>

## ◆ LeafManagerT

template<typename DeformerT, typename TreeT, typename FilterT>

using LeafManagerT = typename tree::LeafManager<TreeT>

## ◆ LeafT

template<typename DeformerT, typename TreeT, typename FilterT>

using LeafT = typename TreeT::LeafNodeType

## Constructor & Destructor Documentation

## ◆ BuildMoveMapsOp()

template<typename DeformerT, typename TreeT, typename FilterT>

BuildMoveMapsOp | ( | const DeformerT & | deformer,
|  | GlobalPointIndexMap & | globalMoveLeafMap,
|  | LocalPointIndexMap & | localMoveLeafMap,
|  | const LeafMap & | targetLeafMap,
|  | const math::Transform & | targetTransform,
|  | const math::Transform & | sourceTransform,
|  | const FilterT & | filter )
| inline

## Member Function Documentation

## ◆ operator()()

template<typename DeformerT, typename TreeT, typename FilterT>

void operator() | ( | LeafT & | leaf,
|  | size_t | idx ) const
| inline